# app01/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('login/', views.user_login, name='login'),
    path('logout/', views.user_logout, name='logout'),
    path('cross_modal_hub/', views.cross_modal_hub_view, name='cross_modal_hub'),
    path('post_harvest_logistics/', views.post_harvest_logistics_view, name='post_harvest_logistics'),
    path('evolution_dashboard/', views.evolution_feedback_view, name='evolution_dashboard'),
    path('feedback/submit/', views.submit_feedback_api, name='submit_feedback'),
    path('api/evolution/status/', views.check_evolution_status, name='check_evolution_status'),
    path('api/login/', views.api_login, name='api_login'), # 这是专门给小程序用的
    path('api/detect/', views.api_detect, name='api_detect'), # 新增这行
    path('api/history/', views.api_get_history, name='api_get_history'),
    path('api/dashboard/', views.api_miniapp_dashboard, name='api_miniapp_dashboard'),
]